VST 3 SDK: NoteExpressionType Class Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
NoteExpressionType Class Reference
VST Implementation Helper Classes

Note expression type object. More...

`#include <vstnoteexpressiontypes.h>`

Inheritance diagram for NoteExpressionType:

## Public Member Functions
| NoteExpressionType ()
| NoteExpressionType (const NoteExpressionTypeInfo &info)
| NoteExpressionType (NoteExpressionTypeID typeId, const TChar *title, const TChar *shortTitle, const TChar *units, int32 unitId, NoteExpressionValue defaultValue, NoteExpressionValue minimum, NoteExpressionValue maximum, int32 stepCount, int32 flags=0, int32 precision=4)
| NoteExpressionType (NoteExpressionTypeID typeId, const TChar *title, const TChar *shortTitle, const TChar *units, int32 unitId, Parameter *associatedParameter, int32 flags=0)
NoteExpressionTypeInfo & | getInfo ()
| get the underlying NoteExpressionTypeInfo struct
virtual tresult | getStringByValue (NoteExpressionValue valueNormalized, String128 string)
| convert a note expression value to a readable string
virtual tresult | getValueByString (const TChar *string, NoteExpressionValue &valueNormalized)
| convert a readable string to a note expression value
int32 | getPrecision () const
| gets the current precision (used for string representation of float)
void | setPrecision (int32 val)
| Sets the precision for string representation of float value (for example 4.34 with 2 as precision)
tresult | getPhysicalUIType (PhysicalUITypeID &physicalUITypeID) const
tresult | setPhysicalUITypeID (PhysicalUITypeID physicalUITypeID)

## Public Attributes
OBJ_METHODS(NoteExpressionType, FObject) protected IPtr < Parameter > | associatedParameter
int32 | precision
PhysicalUITypeID | physicalUITypeID {static_cast<PhysicalUITypeID> (kInvalidPUITypeID)}

## Detailed Description

Note expression type object.

## Constructor & Destructor Documentation

NoteExpressionType | ( |  | ) |

NoteExpressionType | ( | const NoteExpressionTypeInfo & | info | ) |

NoteExpressionType | ( | NoteExpressionTypeID | typeId,
|  | const TChar * | title,
|  | const TChar * | shortTitle,
|  | const TChar * | units,
|  | int32 | unitId,
|  | NoteExpressionValue | defaultValue,
|  | NoteExpressionValue | minimum,
|  | NoteExpressionValue | maximum,
|  | int32 | stepCount,
|  | int32 | flags = `0`,
|  | int32 | precision = `4`
| ) |  |

NoteExpressionType | ( | NoteExpressionTypeID | typeId,
|  | const TChar * | title,
|  | const TChar * | shortTitle,
|  | const TChar * | units,
|  | int32 | unitId,
|  | Parameter * | associatedParameter,
|  | int32 | flags = `0`
| ) |  |

## Member Function Documentation

NoteExpressionTypeInfo& getInfo | ( |  | ) |
| inline

get the underlying NoteExpressionTypeInfo struct

tresult getStringByValue | ( | NoteExpressionValue | valueNormalized,
|  | String128 | string
| ) |  |
| virtual

convert a note expression value to a readable string

Reimplemented in RangeNoteExpressionType.

tresult getValueByString | ( | const TChar * | string,
|  | NoteExpressionValue & | valueNormalized
| ) |  |
| virtual

convert a readable string to a note expression value

Reimplemented in RangeNoteExpressionType.

int32 getPrecision | ( |  | ) | const
| inline

gets the current precision (used for string representation of float)

void setPrecision | ( | int32 | val | ) |
| inline

Sets the precision for string representation of float value (for example 4.34 with 2 as precision)

tresult getPhysicalUIType | ( | PhysicalUITypeID & | physicalUITypeID | ) | const

tresult setPhysicalUITypeID | ( | PhysicalUITypeID | physicalUITypeID | ) |

## Member Data Documentation

OBJ_METHODS (NoteExpressionType, FObject) protected IPtr<Parameter> associatedParameter

int32 precision

PhysicalUITypeID physicalUITypeID {static_cast<PhysicalUITypeID> (kInvalidPUITypeID)}

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.